kcapi_aead_ccm_nonce_to_iv
Prev | AEAD Cipher API - Generic | Next

## Name

kcapi_aead_ccm_nonce_to_iv — convert CCM nonce into IV

## Synopsis

`int kcapi_aead_ccm_nonce_to_iv (` | const uint8_t * nonce,
| uint32_t noncelen,
| uint8_t ** iv,
| uint32_t * ivlen`)`;

## Arguments

`nonce`

  [in] buffer with nonce

`noncelen`

  [in] length of nonce

`iv`

  [out] newly allocated buffer with IV

`ivlen`

  [out] length of IV

## Description

This service function converts a CCM nonce value into an IV usable by the kernel crypto API.

Caller must free iv.

`return` 0 upon success; < 0 upon failure

Prev | Up | Next
kcapi_aead_outbuflen_dec | Home | kcapi_aead_getdata_input